#
# Conditional build:
%bcond_with	tests	# perform "make test" (require root privilleges)
#
%define		pdir	Net
%define		pnam	Pcap
Summary:	Net::Pcap - Perl binding to the LBL pcap(3) packet capture library
Summary(pl.UTF-8):	Net::Pcap - dowiązanie Perla do biblioteki przechwytywania pakietów LBL pcap(3)
Name:		perl-Net-Pcap
Version:	0.18
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	18d7298dca72b53271d68646c34b6a39
Patch0:		libpcap-1.9.patch
Patch1:		%{name}-signals-const.patch
Patch2:		%{name}-perl_settings.patch
URL:		http://search.cpan.org/dist/Net-Pcap/
BuildRequires:	libpcap-devel >= 1.9.0
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Net::Pcap module is a Perl binding to the LBL pcap(3) packet
capture library.

%description -l pl.UTF-8
Moduł Net::Pcap jest dowiązaniem Perla do biblioteki przechwytywania
pakietów LBL pcap(3).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__perl} Makefile.PL \
	CCFLAGS="%{rpmcflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64" \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name .packlist | xargs -r rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/pcapinfo
%{perl_vendorarch}/Net/Pcap.pm
%dir %{perl_vendorarch}/auto/Net/Pcap
%attr(755,root,root) %{perl_vendorarch}/auto/Net/Pcap/Pcap.so
%{_mandir}/man1/pcapinfo.1p*
%{_mandir}/man3/Net::Pcap.3pm*
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-Pcap.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 27f449b
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 3431943
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 4e6ec17
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Tue Oct 09 2018 Adam Osuchowski <adwol@pld-linux.org> a00cc6c
- export perl_settings function

* Tue Oct 09 2018 Adam Osuchowski <adwol@pld-linux.org> 9f1ebae
- export PERL_SIGNALS_SAFE and PERL_SIGNALS_UNSAFE symbols

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> e54607a
- updated to 0.18

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 0bd767a
- perl req/prov fix
- release 8 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 74b6eed
- rebuild with perl 5.26
- release 7 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> bb0ceee
- rebuild with perl 5.24.0
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 15d47b6
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 54778b9
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 831d137
- release 3 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> f6db565
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 840bf8e
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 885914b
- fix build on 32-bit archs

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 36acd1a
- up to 0.17

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> ee88c88
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> cba5018
- rel 6

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 11c1d6f
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 26baee3
- release 4

